/**************************************************************************
 *               This file is part of the FOX Dialog Editor               * 
 *                                                                        * 
 *      Copyright (C) 1999-2000 Martin Welch <mwelch@totalise.co.uk>      *
 *                                                                        * 
 *  This program is free software; you can redistribute it and/or modify  *
 *  it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or    *
 *                  (at your option) any later version.                   *
 *                                                                        * 
 *    This program is distributed in the hope that it will be useful,     *
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of      *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the      *
 *             GNU General Public License for more details.               *
 *                                                                        * 
 *   You should have received a copy of the GNU General Public License    *
 *      along with this program; if not, write to the Free Software       *
 *       Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.        *
 **************************************************************************/

#include <fx.h>
#include <string.h>
#include <stdio.h>
#include <stdlib.h>

#include "CVariant.h"

FXString getStringFromInt(FXint number)
{
	char sz[24+1] = "";
	sprintf(sz, "%i", number);
	return FXString(sz);
}

FXint getIntFromString(FXString str)
{
	if ( str.text() )
		return atoi(str.text());

	return 0;
}

FXString getStringFromColor(FXColor color)
{
	FXchar pszColor[12];
	sprintf(pszColor,"#%02x%02x%02x",FXREDVAL(color),FXGREENVAL(color),FXBLUEVAL(color));
	FXString str = pszColor;
	str.upper();
	return str;
}

FXColor getColorFromString(FXString str)
{
	FXString strR = str.mid(1, 2);
	FXString strG = str.mid(3, 2);
	FXString strB = str.mid(5, 2);

	FXint nR = strtol(strR.text(), NULL, 16);
	FXint nG = strtol(strG.text(), NULL, 16);
	FXint nB = strtol(strB.text(), NULL, 16);

	return FXRGB(nR, nG, nB);
}

FXString getFXRGBString(FXColor color)
{
	FXchar pszColor[12];
	sprintf(pszColor,"FXRGB(%i, %i, %i)",FXREDVAL(color),FXGREENVAL(color),FXBLUEVAL(color));
	FXString str = pszColor;
	str.upper();
	return str;
}

FXString getStringFromBool(FXbool bBool)
{
	if ( bBool )
		return "True";

	return "False";
}

FXbool getBoolFromString(FXString str)
{
	if ( str == "True" )
		return TRUE;

	return FALSE;
}

FXString getStringFromList(FXString strList)
{
	return "";
}

FXString getListFromString(FXString str)
{
	return "";
}

