/**************************************************************************
 *               This file is part of the FOX Dialog Editor               * 
 *                                                                        * 
 *      Copyright (C) 1999-2000 Martin Welch <mwelch@totalise.co.uk>      *
 *                                                                        * 
 *  This program is free software; you can redistribute it and/or modify  *
 *  it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or    *
 *                  (at your option) any later version.                   *
 *                                                                        * 
 *    This program is distributed in the hope that it will be useful,     *
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of      *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the      *
 *             GNU General Public License for more details.               *
 *                                                                        * 
 *   You should have received a copy of the GNU General Public License    *
 *      along with this program; if not, write to the Free Software       *
 *       Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.        *
 **************************************************************************/

/*
 *  CAppPane models the grey parent of the form painter 'dialog'. CAppPane
 *  is also the base class for CDialogPane - the child panel of the 'dialog'.
 */

#include <fx.h>

#include "CAppPane.h"

FXIMPLEMENT(CAppPane,FXComposite,0,0)

CAppPane::CAppPane()
{
	flags|=FLAG_ENABLED|FLAG_SHOWN;
}

CAppPane::CAppPane(FXComposite* p,const FXString& name,FXIcon* ic,FXMenuPane* mn,FXuint opts,FXint x,FXint y,FXint w,FXint h):
  FXComposite(p,opts,x,y,w,h)
{
	flags|=FLAG_ENABLED|FLAG_SHOWN;
}

FXint CAppPane::getDefaultWidth()
{
	return 380;
}

FXint CAppPane::getDefaultHeight()
{
	return 200;
}

CAppPane::~CAppPane()
{
}

