/**************************************************************************
 *               This file is part of the FOX Dialog Editor               * 
 *                                                                        * 
 *      Copyright (C) 1999-2000 Martin Welch <mwelch@totalise.co.uk>      *
 *                                                                        * 
 *  This program is free software; you can redistribute it and/or modify  *
 *  it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or    *
 *                  (at your option) any later version.                   *
 *                                                                        * 
 *    This program is distributed in the hope that it will be useful,     *
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of      *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the      *
 *             GNU General Public License for more details.               *
 *                                                                        * 
 *   You should have received a copy of the GNU General Public License    *
 *      along with this program; if not, write to the Free Software       *
 *       Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.        *
 **************************************************************************/

#ifndef __CPropertyListing_H__
#define __CPropertyListing_H__

template <class T>
class CPropertyListing : public CProperty
{
public:
	CPropertyListing(IDispenser* pDispenser) : CProperty(pDispenser) {}

	const char* name(void);
	virtual ePropertyType type(void);
	virtual const char* description(void);

	void set(FXWindow* pWindow, FXString strValue);
	FXString get(FXWindow* pWindow);
};

template <class T>
const char* CPropertyListing<T>::name(void)
{
	return "List";
}

template <class T>
ePropertyType CPropertyListing<T>::type(void)
{
	return PROPERTY_LIST;
}

template <class T>
const char* CPropertyListing<T>::description(void)
{
	return "List items associated with this\nobject";
}

template <class T>
void CPropertyListing<T>::set(FXWindow* pWindow, FXString strValue)
{
	/*
	T* p = static_cast<T*>(pWindow);
	p->setEditable( getBoolFromString(strValue) );
	*/
}

template <class T>
FXString CPropertyListing<T>::get(FXWindow* pWindow)
{
	/*
	T* p = static_cast<T*>(pWindow);
	return getStringFromBool( p->isEditable() );
	*/
	return "";
}

#endif // __CPropertyListing_H__
