/**************************************************************************
 *               This file is part of the FOX Dialog Editor               * 
 *                                                                        * 
 *      Copyright (C) 1999-2000 Martin Welch <mwelch@totalise.co.uk>      *
 *                                                                        * 
 *  This program is free software; you can redistribute it and/or modify  *
 *  it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or    *
 *                  (at your option) any later version.                   *
 *                                                                        * 
 *    This program is distributed in the hope that it will be useful,     *
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of      *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the      *
 *             GNU General Public License for more details.               *
 *                                                                        * 
 *   You should have received a copy of the GNU General Public License    *
 *      along with this program; if not, write to the Free Software       *
 *       Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.        *
 **************************************************************************/

#ifndef __CBoolComboBox_H__
#define __CBoolComboBox_H__

///////////////////////////////////////////////////////////////////////////////
//

class FXAPI CBoolListItem : public FXListItem
{
	FXDECLARE(CBoolListItem)
	friend class FXList;

// Services
public:
	CBoolListItem() {}
	CBoolListItem(CConnector* pConnector, FXString strText);

// Properties
public:

	CConnector* getConnector(void) {return m_pConnector;}

protected:
//	virtual void draw(const FXList* list,FXDC& dc,FXint x,FXint y,FXint w,FXint h);
	virtual FXint hitItem(const FXList* list,FXint x,FXint y) const;

// Attributes
private:
	CConnector* m_pConnector;
};

///////////////////////////////////////////////////////////////////////////////
//

class FXAPI CBoolList : public FXList
{
	FXDECLARE(CBoolList)

// Services
public:
	CBoolList(FXComposite* p,FXuint opts=0); 

	CBoolList() : FXList() {m_pConnector = 0;}
	CBoolList(const CBoolList&) : FXList() {m_pConnector = 0;}
	CBoolList(CConnector* pConnector, FXComposite *p,FXint nvis,FXObject* tgt=NULL,FXSelector sel=0,FXuint opts=0,FXint x=0,FXint y=0,FXint w=0,FXint h=0);

	virtual ~CBoolList() {}

// Events
public:
	long onLeftBtnRelease(FXObject* o,FXSelector s,void* ptr);

// Attributes
protected:
	CConnector* m_pConnector;
};

///////////////////////////////////////////////////////////////////////////////
//

class FXAPI CBoolComboBox : public CComboBox
{
	FXDECLARE(CBoolComboBox)

// Services
public:
	CBoolComboBox(CConnector* pConnector, FXComposite *p,FXint cols,FXint nvis,FXObject* tgt=NULL,FXSelector sel=0,FXuint opts=0,FXint x=0,FXint y=0,FXint w=0,FXint h=0,FXint pl=DEFAULT_PAD,FXint pr=DEFAULT_PAD,FXint pt=DEFAULT_PAD,FXint pb=DEFAULT_PAD);
	virtual ~CBoolComboBox();

protected:
	CBoolComboBox() {}

// Operations
protected:
	virtual void layout();

// Events
public:
	long onUpdate(FXObject*, FXSelector, void* ptr);

// Attributes
protected:
	FXbool m_bInitialised;
	FXTextField *text;
	FXList      *list;
};

///////////////////////////////////////////////////////////////////////////////
//

#endif // __CBoolComboBox_H__
