/**************************************************************************
 *               This file is part of the FOX Dialog Editor               * 
 *                                                                        * 
 *      Copyright (C) 1999-2000 Martin Welch <mwelch@totalise.co.uk>      *
 *                                                                        * 
 *  This program is free software; you can redistribute it and/or modify  *
 *  it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or    *
 *                  (at your option) any later version.                   *
 *                                                                        * 
 *    This program is distributed in the hope that it will be useful,     *
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of      *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the      *
 *             GNU General Public License for more details.               *
 *                                                                        * 
 *   You should have received a copy of the GNU General Public License    *
 *      along with this program; if not, write to the Free Software       *
 *       Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.        *
 **************************************************************************/

#ifndef __CCheckComboBox_H__
#define __CCheckComboBox_H__

///////////////////////////////////////////////////////////////////////////////
//

class CCheckComboBox;

class CCheckButton : public FXCheckButton
{
	FXDECLARE(CCheckButton)

// Services
public:
	CCheckButton();
	CCheckButton(CCheckComboBox* pParent, CConnector* pConnector, FXComposite* p,OPTION* o,FXObject* tgt,FXSelector sel, const FXString& text);

// Operations
public:
	void updateCheckBox(void);

// Events
public:
	long onPaint(FXObject* o,FXSelector s,void* p);
	long onLeftBtnPress(FXObject* o,FXSelector s,void* p);

// Attributes
private:
	OPTION*         m_pOption;
	CCheckComboBox* m_pParent;
	CConnector*     m_pConnector;
};

///////////////////////////////////////////////////////////////////////////////
//

class FXAPI CCheckComboBox : public CComboBox
{
	FXDECLARE(CCheckComboBox)

// Services
public:
	CCheckComboBox(CConnector* pConnector, FXComposite *p,FXint cols,FXint nvis,FXObject* tgt=NULL,FXSelector sel=0,FXuint opts=0,FXint x=0,FXint y=0,FXint w=0,FXint h=0,FXint pl=DEFAULT_PAD,FXint pr=DEFAULT_PAD,FXint pt=DEFAULT_PAD,FXint pb=DEFAULT_PAD);
	virtual ~CCheckComboBox();

protected:
	CCheckComboBox() {}

// Properties
public:
	virtual FXint getDefaultWidth();
	virtual FXint getDefaultHeight();

// Operations
public:
	void updateCheckBoxes(void);

protected:
	virtual void layout();

// Attributes
protected:
	FXTextField   *text;
	FXMatrix      *matrix;
};

///////////////////////////////////////////////////////////////////////////////
//

class FXAPI CListComboBox : public CComboBox
{
	FXDECLARE(CListComboBox)

// Services
public:
	CListComboBox(CConnector* pConnector, FXComposite *p,FXint cols,FXint nvis,FXObject* tgt=NULL,FXSelector sel=0,FXuint opts=0,FXint x=0,FXint y=0,FXint w=0,FXint h=0,FXint pl=DEFAULT_PAD,FXint pr=DEFAULT_PAD,FXint pt=DEFAULT_PAD,FXint pb=DEFAULT_PAD);
	virtual ~CListComboBox();

protected:
	CListComboBox() {}

// Operations
public:
//	void updateCheckBoxes(void);

protected:
	virtual void layout();

// Events
public:
	long onKeyPress(FXObject*,FXSelector,void* ptr);
	long onKeyRelease(FXObject*,FXSelector,void* ptr);
	long onCmdUnpost(FXObject*,FXSelector,void* ptr);

// Attributes
protected:
	FXTextField *text;
	FXText *list;
};

#endif // __CCheckComboBox_H__
