/**************************************************************************
 *               This file is part of the FOX Dialog Editor               * 
 *                                                                        * 
 *      Copyright (C) 1999-2000 Martin Welch <mwelch@totalise.co.uk>      *
 *                                                                        * 
 *  This program is free software; you can redistribute it and/or modify  *
 *  it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or    *
 *                  (at your option) any later version.                   *
 *                                                                        * 
 *    This program is distributed in the hope that it will be useful,     *
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of      *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the      *
 *             GNU General Public License for more details.               *
 *                                                                        * 
 *   You should have received a copy of the GNU General Public License    *
 *      along with this program; if not, write to the Free Software       *
 *       Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.        *
 **************************************************************************/

#ifndef CComboBox_H
#define CComboBox_H

class CComboPopup : public FXPopup
{
	FXDECLARE(CComboPopup)

// Services
public:
	CComboPopup();
	CComboPopup(FXObject* pParent, FXWindow* owner,FXuint opts=POPUP_VERTICAL|FRAME_RAISED|FRAME_THICK,FXint x=0,FXint y=0,FXint w=0,FXint h=0);

// Events
public:
	long onKeyPress(FXObject*,FXSelector,void* ptr);
	long onKeyRelease(FXObject*,FXSelector,void* ptr);

// Attributes
private:
	FXObject* m_pParent;
};

/*
 *   Override this class to allow the button to be set 
 *   to 'pushed in' programatically by providing access
 *   to the state variable.
 */
class CMenuButton : public FXMenuButton
{
public:
	CMenuButton(FXComposite* p,const FXString& text,FXIcon* ic=NULL,FXPopup* pup=NULL,FXuint opts=JUSTIFY_NORMAL|ICON_BEFORE_TEXT|MENUBUTTON_DOWN,FXint x=0,FXint y=0,FXint w=0,FXint h=0,FXint pl=DEFAULT_PAD,FXint pr=DEFAULT_PAD,FXint pt=DEFAULT_PAD,FXint pb=DEFAULT_PAD)
	: FXMenuButton(p, text, ic, pup, opts, x, y, w, h, pl, pr, pt, pb)
	{
	}

	void setState(FXbool b)
	{
		if ( state != b )
		{
			state = b;
			update();
		}
	}
};


class FXAPI CComboBox : public FXPacker
{
	FXDECLARE(CComboBox)

// Services
public:
	CComboBox(FXComposite *p,FXint cols,FXint nvis,FXObject* tgt=NULL,FXSelector sel=0,FXuint opts=0,FXint x=0,FXint y=0,FXint w=0,FXint h=0,FXint pl=DEFAULT_PAD,FXint pr=DEFAULT_PAD,FXint pt=DEFAULT_PAD,FXint pb=DEFAULT_PAD);
	virtual ~CComboBox();

protected:
	CComboBox() {}

// Operations
public:

protected:
	virtual void create();
	virtual void detach();
	virtual void destroy();

// Attributes
protected:
	CMenuButton  *button;
	FXPopup      *pane;
};

#endif // CComboBox_H
