/**************************************************************************
 *               This file is part of the FOX Dialog Editor               * 
 *                                                                        * 
 *      Copyright (C) 1999-2000 Martin Welch <mwelch@totalise.co.uk>      *
 *                                                                        * 
 *  This program is free software; you can redistribute it and/or modify  *
 *  it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or    *
 *                  (at your option) any later version.                   *
 *                                                                        * 
 *    This program is distributed in the hope that it will be useful,     *
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of      *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the      *
 *             GNU General Public License for more details.               *
 *                                                                        * 
 *   You should have received a copy of the GNU General Public License    *
 *      along with this program; if not, write to the Free Software       *
 *       Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.        *
 **************************************************************************/

#ifndef __COutlookBar_H__
#define __COutlookBar_H__

///////////////////////////////////////////////////////////////////////////////
//

class CButton : public FXButton
{
	FXDECLARE(CButton)

// Services
public:
	CButton() {}
	CButton(FXComposite* p, CConnector& connector, IDispenser* pDispenser, FXObject* tgt=NULL, FXSelector sel=0);
	~CButton();

// Events
public:
	long onDeactivate(FXObject*,FXSelector,void*);
	long onPaint(FXObject*,FXSelector,void* ptr);
	long onMotion(FXObject*,FXSelector,void* ptr);
	long onLeave(FXObject* sender,FXSelector sel,void* ptr);

// Attributes
private:
	CConnector m_Connector;
};

///////////////////////////////////////////////////////////////////////////////
//

class CShutter : public FXShutter
{
// Services
public:
	CShutter(FXComposite *p,FXObject* tgt=NULL,FXSelector sel=0,FXuint opts=0,FXint x=0,FXint y=0,FXint w=0,FXint h=0,FXint pl=DEFAULT_SPACING,FXint pr=DEFAULT_SPACING,FXint pt=DEFAULT_SPACING,FXint pb=DEFAULT_SPACING,FXint hs=DEFAULT_SPACING,FXint vs=DEFAULT_SPACING);

// Properties
public:
	virtual FXint getDefaultWidth();
};

///////////////////////////////////////////////////////////////////////////////
//

class COutlookButton : public FXButton
{
	FXDECLARE(COutlookButton)

// Services
public:
	COutlookButton();
	COutlookButton(FXComposite* p,const FXString& text,FXIcon* ic=NULL,FXObject* tgt=NULL,FXSelector sel=0,FXuint opts=FRAME_RAISED|FRAME_THICK|JUSTIFY_NORMAL|ICON_BEFORE_TEXT,FXint x=0,FXint y=0,FXint w=0,FXint h=0,FXint pl=DEFAULT_PAD,FXint pr=DEFAULT_PAD,FXint pt=DEFAULT_PAD,FXint pb=DEFAULT_PAD);

// Events
public:
	long onPaint(FXObject*,FXSelector,void* ptr);

};

///////////////////////////////////////////////////////////////////////////////
//

class FXAPI CShutterItem : public FXShutterItem
{
	FXDECLARE(CShutterItem)

// Services
public:
	CShutterItem();
	CShutterItem(FXShutter *p,const char* text=NULL,FXIcon* icon=NULL,FXuint opts=0,FXint x=0,FXint y=0,FXint w=0,FXint h=0,FXint pl=DEFAULT_SPACING,FXint pr=DEFAULT_SPACING,FXint pt=DEFAULT_SPACING,FXint pb=DEFAULT_SPACING,FXint hs=DEFAULT_SPACING,FXint vs=DEFAULT_SPACING);

};

#endif // __COutlookBar_H__