/**************************************************************************
 *               This file is part of the FOX Dialog Editor               * 
 *                                                                        * 
 *      Copyright (C) 1999-2000 Martin Welch <mwelch@totalise.co.uk>      *
 *                                                                        * 
 *  This program is free software; you can redistribute it and/or modify  *
 *  it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or    *
 *                  (at your option) any later version.                   *
 *                                                                        * 
 *    This program is distributed in the hope that it will be useful,     *
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of      *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the      *
 *             GNU General Public License for more details.               *
 *                                                                        * 
 *   You should have received a copy of the GNU General Public License    *
 *      along with this program; if not, write to the Free Software       *
 *       Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.        *
 **************************************************************************/

#include <fx.h>

#include <ITextStream.h>
#include <IConnector.h>
#include <IProperty.h>
#include <IDispenser.h>

#include <CConnector.h>

#include <CApp.h>
#include <CFile.h>
#include <CGarbage.h>

#include <CTracker.h>
#include <CTrackManager.h>
#include <CAppDialog.h>

#include <CMainFrame.h>

int main(int argc, char *argv[])
{
	// Make application
	application = new CAppDialog("Studio","Studio");

#ifndef WIN32 
	delete application->getNormalFont();
	application->setNormalFont(new FXFont(application,"helvetica",9,FONTWEIGHT_NORMAL));
#endif

  	// Open the display
	application->init(argc,argv);

	// Make window
	CMainFrame* pFrame = 0;
	pFrame = new CMainFrame(application);
	pFrame->enable();

	// Create the application's windows
	application->create();

	// Run the application
	application->run();

	return 0;
}
